- Main Page
- Modules
- Namespaces
- Classes
- Files

Functions

# GLM_GTX_optimum_pow: Optimum pow

GTX Extensions (Experimental)

Integer exponentiation of power functions. More...

## Functions
template<typename genType >
genType | pow2 (const genType &x)
| Returns x raised to the power of 2.
template<typename genType >
genType | pow3 (const genType &x)
| Returns x raised to the power of 3.
template<typename genType >
genType | pow4 (const genType &x)
| Returns x raised to the power of 4.
detail::tvec2< bool > | powOfTwo (const detail::tvec2< int > &x)
| Checks to determine if the parameter component are power of 2 numbers.
bool | powOfTwo (int num)
| Checks if the parameter is a power of 2 number.
detail::tvec3< bool > | powOfTwo (const detail::tvec3< int > &x)
| Checks to determine if the parameter component are power of 2 numbers.
detail::tvec4< bool > | powOfTwo (const detail::tvec4< int > &x)
| Checks to determine if the parameter component are power of 2 numbers.

## Detailed Description

Integer exponentiation of power functions.

<glm/gtx/optimum_pow.hpp> need to be included to use these functionalities.

## Function Documentation

genType glm::gtx::optimum_pow::pow2 | ( | const genType & | x | ) |

Returns x raised to the power of 2.

From GLM_GTX_optimum_pow extension.

genType glm::gtx::optimum_pow::pow3 | ( | const genType & | x | ) |

Returns x raised to the power of 3.

From GLM_GTX_optimum_pow extension.

genType glm::gtx::optimum_pow::pow4 | ( | const genType & | x | ) |

Returns x raised to the power of 4.

From GLM_GTX_optimum_pow extension.

detail::tvec2<bool> glm::gtx::optimum_pow::powOfTwo | ( | const detail::tvec2< int > & | x | ) |

Checks to determine if the parameter component are power of 2 numbers.

From GLM_GTX_optimum_pow extension.

bool glm::gtx::optimum_pow::powOfTwo | ( | int | num | ) |

Checks if the parameter is a power of 2 number.

From GLM_GTX_optimum_pow extension.

detail::tvec3<bool> glm::gtx::optimum_pow::powOfTwo | ( | const detail::tvec3< int > & | x | ) |

Checks to determine if the parameter component are power of 2 numbers.

From GLM_GTX_optimum_pow extension.

detail::tvec4<bool> glm::gtx::optimum_pow::powOfTwo | ( | const detail::tvec4< int > & | x | ) |

Checks to determine if the parameter component are power of 2 numbers.

From GLM_GTX_optimum_pow extension.